SmartPtrBase_sidtt< T > Class Template Reference

## Public Member Functions

| SmartPtrBase_sidtt (T *buffer, ulint_smartpt bufferLen, bool bufOwner=false)
virtual T * | tellBegin () const
virtual ulint_smartpt | tellLength () const
virtual ulint_smartpt | tellPos () const
virtual bool | checkIndex (ulint_smartpt index)
virtual bool | reset ()
virtual bool | good ()
virtual bool | fail ()
virtual void | operator++ ()
virtual void | operator++ (int)
virtual void | operator-- ()
virtual void | operator-- (int)
virtual void | operator+= (ulint_smartpt offset)
virtual void | operator-= (ulint_smartpt offset)
virtual T | operator* ()
virtual T & | operator[] (ulint_smartpt index)
virtual | operator bool ()

## Protected Attributes

T * | bufBegin
T * | bufEnd
T * | pBufCurrent
ulint_smartpt | bufLen
bool | status
bool | doFree
T | dummy

The documentation for this class was generated from the following file:

- SmartPtr.h